/*
** Copyright (c) 2002, 2005
**      Jeff Forys (jeffware@marjum.com).  All rights reserved.
**
** Redistribution and use in source and binary forms, with or without
** modification, are permitted provided that: (1) Redistributions of
** source code must retain the above copyright notice, this list of
** conditions and the following disclaimer, (2) Redistributions in
** binary form must reproduce the above copyright notice, this list
** of conditions and the following disclaimer in the documentation
** and/or other materials provided with the distribution, (3) All
** advertising materials mentioning features or use of this software
** must display the following acknowledgment: ``This product includes
** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
** The name of the author may not be used to endorse or promote products
** derived from this software without specific prior written permission.
**
** THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
** WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
** MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
*/

/*
 * Compatibility header file for "cammgr", "camlgr", and "cammnt".
 *
 * $Id: compat.h,v 1.9 2005/11/16 04:11:40 forys Exp $
 */

#include <sys/param.h>
#include <sys/time.h>
#include <time.h>
#include <syslog.h>

#if defined(__hpux) || defined(sun)
#define	_PATH_DEVNULL	"/dev/null"
#define	_PATH_BSHELL	"/bin/sh"
#else
#include <paths.h>
#endif

/*
 * Prototypes (for stuff in "compat.c").
 */
const char *	getmntpnt(const char *);
int		removedir(const char *);
int		exlock(int, const char *);

/*
 * Emulate timevals subtraction if not available.
 */
#ifndef	timersub
#define timersub(tvp, uvp, vvp)					\
do {								\
	(vvp)->tv_sec = (tvp)->tv_sec - (uvp)->tv_sec;		\
	(vvp)->tv_usec = (tvp)->tv_usec - (uvp)->tv_usec;	\
	if ((vvp)->tv_usec < 0) {				\
		(vvp)->tv_sec--;				\
		(vvp)->tv_usec += 1000000;			\
	}							\
} while (0)
#endif

#ifndef	LOG_PERROR	/* log messages to stderr + syslogd (if supported) */
#define	LOG_PERROR	0
#endif

#ifdef	BSD4_4
#if	!defined(HAS_SETPROCTITLE) && !defined(NeXTBSD)
#define	HAS_SETPROCTITLE	/* setproctitle() is available */
#endif
#ifndef	HAS_BSDSTATFS
#define	HAS_BSDSTATFS		/* statfs() w/f_mntonname, not getmntent() */
#endif
#endif

#ifdef	__alpha			/* some vendors (e.g., Sun) define BSD empty */
#if defined(BSD) && (BSD == 198911)	/* assume Compaq Tru64 */
#ifndef	HAS_BSDSTATFS
#define	HAS_BSDSTATFS
#endif
#ifndef	USE_SETREUID
#define	USE_SETREUID
#endif
#endif
#endif	/* __alpha */
