/*
** Copyright (c) 2002, 2005
**      Jeff Forys (jeffware@marjum.com).  All rights reserved.
**
** Redistribution and use in source and binary forms, with or without
** modification, are permitted provided that: (1) Redistributions of
** source code must retain the above copyright notice, this list of
** conditions and the following disclaimer, (2) Redistributions in
** binary form must reproduce the above copyright notice, this list
** of conditions and the following disclaimer in the documentation
** and/or other materials provided with the distribution, (3) All
** advertising materials mentioning features or use of this software
** must display the following acknowledgment: ``This product includes
** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
** The name of the author may not be used to endorse or promote products
** derived from this software without specific prior written permission.
**
** THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
** WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
** MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
*/

/*
 * Common include file for "cammgr", "camlgr", and "cammnt".
 *
 * $Id: config.h 1.8 2005/09/22 04:53:17 forys Exp $
 */

/*
 * Nothing should need to be changed here.  'SYSLOGFAC', 'CAMMNT',
 * 'CAMOWN', and 'CFGFIL' all come from the Makefile (and 'SETPROGNAME'
 * must work everywhere).
 */

#ifndef	SYSLOGFAC	/* syslog(3) facility (should come from Makefile) */
#define	SYSLOGFAC	LOG_LOCAL1
#endif

#ifndef	CAMMNT		/* Location of "cammnt" (should come from Makefile) */
#define	CAMMNT		"/usr/local/libexec/cammnt"
#endif

#ifndef	CAMOWN		/* Suid owner of "cammgr" (should come from Makefile) */
#define	CAMOWN		"nobody"
#endif

#ifndef	CFGFIL		/* Location of cfg file (should come from Makefile) */
#define	CFGFIL		"/usr/local/etc/cammgr.conf"
#endif

/* path strip argv[0] to determine command name */
#define	SETPROGNAME(p, av)	if ((p=strrchr(*av,'/'))!=NULL) p++; else p=*av
